import Component from '../../component.js';
import MatSlideToggle from '../../material/mat-slide-toggle.js';

export default class CoEuiSlideToggle extends Component {

    constructor(parent) {
      let selector = 'eui-slide-toggle';
      super(parent, selector);

      // component link
      // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components-next/src/lib/components/eui-slide-toggle/eui-slide-toggle.component.html?at=refs%2Fheads%2Fsupport%2F10.x
    }

    // Mat section
    get matSlideToggle() {
      return new MatSlideToggle(this.currentPath);
    }

}


